Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Link error building "net-voip/ekiga-4.0.0-r1"
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
BobWya
n00b
n00b


Joined: 12 Aug 2012
Posts: 42
Location: Cambridge,UK

PostPosted: Wed Dec 12, 2012 7:22 pm    Post subject: Link error building "net-voip/ekiga-4.0.0-r1" Reply with quote

Hi all,

Still a bit of a Gentoo noob - so excuse if I don't post all the relevant details.

I am using gcc-4.7.2 (normally I have LTO enabled - but globally disabling this makes no difference to the link error)... I am using the Vanilla Gentoo Portage ebuild - with no modifications.

Code:

emerge -pv ekiga
[ebuild  N    ~] net-voip/ekiga-4.0.0-r1  USE="avahi dbus doc h323 kde kontact ldap libnotify mmx nls pulseaudio shm v4l xv (-aqua) -debug -eds -gconf -gnome -gstreamer -static -xcap" 0 kB


All the linkage output (verbose):
Code:
*** Warning: Linking the shared library libgmavahi.la against the loadable module
*** libekiga.so is not portable!
libtool: link: x86_64-pc-linux-gnu-g++  -fPIC -DPIC -shared -nostdlib /usr/lib/gcc/x86_64-pc-linux-gnu/4.7.2/../../../../lib64/crti.o /usr/lib/gcc/x86_64-pc-linux-gnu/4.7.2/crtbeginS.o  .libs/avahi-main.o .libs/avahi-publisher.o .libs/avahi-heap.o .libs/avahi-cluster.o   -Wl,-rpath -Wl,/var/tmp/portage/net-voip/ekiga-4.0.0-r1/work/ekiga-4.0.0/lib/.libs -Wl,-rpath -Wl,/usr/lib64/ekiga/4.0.0 -Wl,--as-needed ../../lib/.libs/libekiga.so -L/usr/lib64 -lboost_signals-1_49 -lavahi-common -lavahi-client -lavahi-glib -lglib-2.0 -lresolv -L/usr/lib/gcc/x86_64-pc-linux-gnu/4.7.2 -L/usr/lib/gcc/x86_64-pc-linux-gnu/4.7.2/../../../../lib64 -L/lib/../lib64 -L/usr/lib/../lib64 -L/usr/lib/gcc/x86_64-pc-linux-gnu/4.7.2/../../../../x86_64-pc-linux-gnu/lib -L/usr/lib/gcc/x86_64-pc-linux-gnu/4.7.2/../../.. -lstdc++ -lm -lc -lgcc_s /usr/lib/gcc/x86_64-pc-linux-gnu/4.7.2/crtendS.o /usr/lib/gcc/x86_64-pc-linux-gnu/4.7.2/../../../../lib64/crtn.o  -O2 -march=native -Wl,-O1   -pthread -Wl,-soname -Wl,libgmavahi.so -o .libs/libgmavahi.so
libtool: link: ( cd ".libs" && rm -f "libgmavahi.la" && ln -s "../libgmavahi.la" "libgmavahi.la" )
Making all in kab
libtool: compile:  x86_64-pc-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I../.. -I../../lib/engine/framework -I../../lib/engine/addressbook -I/usr/include -I/usr/include/qt4 -O2 -ftree-vectorize -march=native -pipe -Wall -Wextra -Winit-self -Wswitch-default -Wswitch-enum -Wstrict-aliasing=2 -Wfloat-equal -Wshadow -c ../../plugins/kab/kab-contact.cpp  -fPIC -DPIC -o .libs/kab-contact.o
libtool: compile:  x86_64-pc-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I../.. -I../../lib/engine/framework -I../../lib/engine/addressbook -I/usr/include -I/usr/include/qt4 -O2 -ftree-vectorize -march=native -pipe -Wall -Wextra -Winit-self -Wswitch-default -Wswitch-enum -Wstrict-aliasing=2 -Wfloat-equal -Wshadow -c ../../plugins/kab/kab-book.cpp  -fPIC -DPIC -o .libs/kab-book.o
libtool: compile:  x86_64-pc-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I../.. -I../../lib/engine/framework -I../../lib/engine/addressbook -I/usr/include -I/usr/include/qt4 -O2 -ftree-vectorize -march=native -pipe -Wall -Wextra -Winit-self -Wswitch-default -Wswitch-enum -Wstrict-aliasing=2 -Wfloat-equal -Wshadow -c ../../plugins/kab/kab-main.cpp  -fPIC -DPIC -o .libs/kab-main.o
libtool: compile:  x86_64-pc-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I../.. -I../../lib/engine/framework -I../../lib/engine/addressbook -I/usr/include -I/usr/include/qt4 -O2 -ftree-vectorize -march=native -pipe -Wall -Wextra -Winit-self -Wswitch-default -Wswitch-enum -Wstrict-aliasing=2 -Wfloat-equal -Wshadow -c ../../plugins/kab/kab-source.cpp  -fPIC -DPIC -o .libs/kab-source.o
libtool: link: x86_64-pc-linux-gnu-g++  -fPIC -DPIC -shared -nostdlib /usr/lib/gcc/x86_64-pc-linux-gnu/4.7.2/../../../../lib64/crti.o /usr/lib/gcc/x86_64-pc-linux-gnu/4.7.2/crtbeginS.o  .libs/kab-contact.o .libs/kab-book.o .libs/kab-source.o .libs/kab-main.o   -Wl,--as-needed -lQtCore -lkabc -lresolv -L/usr/lib/gcc/x86_64-pc-linux-gnu/4.7.2 -L/usr/lib/gcc/x86_64-pc-linux-gnu/4.7.2/../../../../lib64 -L/lib/../lib64 -L/usr/lib/../lib64 -L/usr/lib/gcc/x86_64-pc-linux-gnu/4.7.2/../../../../x86_64-pc-linux-gnu/lib -L/usr/lib/gcc/x86_64-pc-linux-gnu/4.7.2/../../.. -lstdc++ -lm -lc -lgcc_s /usr/lib/gcc/x86_64-pc-linux-gnu/4.7.2/crtendS.o /usr/lib/gcc/x86_64-pc-linux-gnu/4.7.2/../../../../lib64/crtn.o  -O2 -march=native -Wl,-O1   -Wl,-soname -Wl,libgmkab.so -o .libs/libgmkab.so
/usr/lib/gcc/x86_64-pc-linux-gnu/4.7.2/../../../../x86_64-pc-linux-gnu/bin/ld: cannot find -lQtCore
collect2: error: ld returned 1 exit status
make[3]: *** [libgmkab.la] Error 1
make[2]: *** [all-recursive] Error 1
make[1]: *** [all-recursive] Error 1
make: *** [all] Error 2
 * ERROR: net-voip/ekiga-4.0.0-r1 failed (compile phase):
 *   emake failed


I don't know if this is relevant to the linkage error ("cannot find -lQtCore") but I tried re-emerging qt-core:
Code:

emerge -pv  qt-core
[ebuild   R    ] x11-libs/qt-core-4.8.2:4  USE="exceptions glib iconv icu qt3support ssl (-aqua) (-c++0x) -debug -optimized-qmake -pch (-qpa)" 0 kB

This had no affect at all...

Any thoughts??

Thanks
Bob
Back to top
View user's profile Send private message
lxg
Veteran
Veteran


Joined: 12 Nov 2005
Posts: 1019
Location: Aachen, Germany

PostPosted: Tue Dec 18, 2012 12:59 am    Post subject: Reply with quote

Try running revdep-rebuild … maybe there are broken dependencies (although re-emergin qt-core should have fixed them, if they did exist.)

Another option might be trying to emerge ekiga with the kde USE flag disabled (and maybe gnome enabled instead), this might circumvent the problem.
_________________
lxg.de – codebits and tech talk
Back to top
View user's profile Send private message
BobWya
n00b
n00b


Joined: 12 Aug 2012
Posts: 42
Location: Cambridge,UK

PostPosted: Wed Dec 19, 2012 1:27 am    Post subject: Reply with quote

lxg wrote:

Another option might be trying to emerge ekiga with the kde USE flag disabled (and maybe gnome enabled instead), this might circumvent the problem.


Naturally I had already tried the revdep stuff - which didn't find any problems... Building without the kde flag kills the the -lQtCore line which is crapping out the linking process... It builds and runs OK with the gnome and gstreamer enabled...

I'll file a bug against the package because it won't build with the kde flag enabled... It must be missing enough path information perhaps?? Since I can see the QtCore libraries present on my system - just sitting there under...
Code:
/usr/include/qt4/QtCore/...


Thanks
Bob

PS Won't mark the thread as solved - because this is just a workaround...
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum